Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 26642
Description

It would be good if the relation reference widget (in embedded form mode) could ask for confirmation, prior to deleting a referenced
feature.

Something like: "Deleting this feature would potentially also remove relations from other features - are you sure you want to remove this
feature?" Yes/No (OK/Cancel).

If technically feasible, this message could query how many features are still linked. E.g. "xx feature are still linked to the feature you want
to remove"

Reasoning: it is potentially dangerous to remove related features if it is still referenced by other features.

Associated revisions

Revision 3091185 - 2018-07-23 12:53 PM - Matthias Kuhn

Confirm delete when feature is still linked

when deleting a feature on an N:M relation and the feature in question is still linked to more than a single feature ask for confirmation. The user might not

have been aware of that.
Fix #18755 https://issues.qgis.org/issues/18755

History

#1 - 2018-04-18 05:18 PM - Andreas Neumann
- Tracker changed from Bug report to Feature request

#2 - 2018-07-31 05:49 PM - Anonymous
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|3e0911851bd99fc0121a249f37f51e56cc539¢80.
